Skip to main content

Evento receivable.canceled

Disparado quando um receivable é cancelado antes da liquidação. data.object usa o mesmo shape de GET /v1/receivables/:id e data.previous_attributes traz os campos alterados com o valor anterior.
{
  "id": "evt_123",
  "object": "event",
  "created_at": "2026-05-25T12:00:00Z",
  "data": {
    "object": {
      "id": "rec_123",
      "object": "receivable",
      "amount": 7830,
      "charge": "ch_123",
      "created_at": "2026-05-22T00:00:00Z",
      "currency": "brl",
      "expected_at": "2026-06-22T00:00:00Z",
      "installment": 1,
      "livemode": true,
      "metadata": {},
      "organization": "org_123",
      "payment_intent": "pi_123",
      "platform": null,
      "recipient": "organization",
      "settled_at": null,
      "source_organization": "org_123",
      "status": "canceled",
      "type": "principal",
      "updated_at": "2026-05-25T12:00:00Z"
    },
    "previous_attributes": {
      "status": "pending"
    }
  },
  "livemode": true,
  "organization": "org_123",
  "request": {
    "id": null
  },
  "type": "receivable.canceled"
}